Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.cepstrum
Class Cepstrum

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--jm.cepstrum.Cepstrum

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class Cepstrum
extends java.awt.Frame

Fuehrt die eigentliche Berechnung der Kepstrum-Filterung durch. Wird von CepstrumAnalysis benoetigt. *

See Also:
  `AnalysisDialog`, `CepstrumAnalysis`, Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`ij.ImageStack` | `fft2Stack`
`ij.ImageStack` | `fftStack`
`ij.ImageStack` | `orgStack`
`double` | `peakAboveAverage`
`double` | `peakQuality`
`ij.ImageStack` | `ps2Stack`
`ij.ImageStack` | `psStack`
`boolean` | `showImages`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Cepstrum()` Der Konstruktor.

Method Summary
`boolean` | `calculateTranslation(java.awt.Image in1, java.awt.Image in2, java.awt.Point shift)` Haupt-Berechnungsmethode dieser Klasse.
`GrayImage` | `createTranslation(GrayImage img, int posx, int posy, int shiftx, int shifty)` Deprecated. Wird nur noch fuer Testzwecke gebraucht
`RealGrayImage` | `filterLog(RealGrayImage imgReal)` Logarithmiert ein reell-wertiges Grauwertbild.
`GrayImage` | `findLocalMax(ComplexImage imgcc)` Sucht dein lokales Maximum im Suchbereich der Kepstralebene.
`boolean` | `getApplySobel()` Hilfsmethode.
`boolean` | `getApplyWindow()` Hilfsmethode.
`boolean` | `getDestroyInputImages()` Hilfsmethode.
`void` | `setApplySobel(boolean sobel)` Hilfsmethode.
`void` | `setApplyWindow(boolean windowing)` Hilfsmethode.
`void` | `setDestroyInputImages(boolean destroy)` Hilfsmethode.
`void` | `setVerbose(boolean v)` Steuert die textuelle Ausgabe von Zwischenergebnissen im ImageJ-Hauptfenster
`void` | `setWriteLog(boolean log)` Steuert die Ausgabe von Zwischenergebnissen in die Protokolldatei (LogFile)

Methods inherited from class java.awt.Frame
`addNotify, finalize, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### orgStack

    public ij.ImageStack orgStack

### fftStack

    public ij.ImageStack fftStack

### psStack

    public ij.ImageStack psStack

### fft2Stack

    public ij.ImageStack fft2Stack

### ps2Stack

    public ij.ImageStack ps2Stack

### showImages

    public boolean showImages

### peakQuality

    public double peakQuality

### peakAboveAverage

    public double peakAboveAverage

Constructor Detail

### Cepstrum

    public Cepstrum()

  Der Konstruktor. Erzeugt ein Klassen-Objekt. Die Eingabebilder werden in der Methode calculateTranslation uebergeben.

Method Detail

### setVerbose

    public void setVerbose(boolean v)

  Steuert die textuelle Ausgabe von Zwischenergebnissen im ImageJ-Hauptfenster

  Parameters:
    `v` - Boolean-Flag fuer Ausgabe

### setWriteLog

    public void setWriteLog(boolean log)

  Steuert die Ausgabe von Zwischenergebnissen in die Protokolldatei (LogFile)

  Parameters:
    `log` - Boolean-Flag fuer Ausgabe

### calculateTranslation

    public boolean calculateTranslation(java.awt.Image in1,
                                        java.awt.Image in2,
                                        java.awt.Point shift)

  Haupt-Berechnungsmethode dieser Klasse. Die Berechnung der Verschiebung findet hier statt.

  Parameters:
    `in1` - Referenzbild, Datentyp: java.awt.Image
    `in2` - Folgebild, Datentyp: java.awt.Image
    `shift` - Enthaelt den Betrag der Verschiebung
  Returns:
    boolean true, falls die Berechnung erfolgreich war.

### filterLog

    public RealGrayImage filterLog(RealGrayImage imgReal)

  Logarithmiert ein reell-wertiges Grauwertbild. Wird zur Kepstrum-Berechnung benoetigt.

  Parameters:
    `imgReal` - jigl-Grauwertbild (reellwertig, Datentyp RealGrawImage)
  Returns:
    RealGrayImage Das Ergebnisbild.

### setDestroyInputImages

    public void setDestroyInputImages(boolean destroy)

  Hilfsmethode. Legt fest, ob die als Zwischenergebnisse erzeugten Bilder schon zur Laufzeit verworfen werden sollen.

  Parameters:
    `destroy` - true, wenn die Referenzen geloescht werden sollen

### setApplyWindow

    public void setApplyWindow(boolean windowing)

  Hilfsmethode. Legt fest, ob eine Fensterung (Kaiser-Bessel-Fenster) durchgefuehrt werden soll.

  Parameters:
    `windowing` - true, wenn Fensterung durchgefuehrt werden soll

### setApplySobel

    public void setApplySobel(boolean sobel)

  Hilfsmethode. Legt fest, ob eine Sobelfilterung als Vorverarbeitung fuer die Kepstrum-Filterung durchgefuehrt werden soll.

  Parameters:
    `sobel` - true, wenn Sobel-Filter durchgefuehrt werden soll

### getDestroyInputImages

    public boolean getDestroyInputImages()

  Hilfsmethode. Liest aus, ob ein Zerstoeren der Zwischenergebnisse stattfinden soll.

  Returns:
    boolean true, wenn die Referenzen geloescht werden sollen

### getApplyWindow

    public boolean getApplyWindow()

  Hilfsmethode. Liest aus, ob eine Fensterung (Kaiser-Bessel-Fenster) durchgefuehrt werden soll.

  Returns:
    boolean true, wenn Fensterung durchgefuehrt werden soll

### getApplySobel

    public boolean getApplySobel()

  Hilfsmethode. Liest aus, ob eine Sobelfilterung als Vorverarbeitung fuer die Kepstrum-Filterung durchgefuehrt werden soll.

  Returns:
    boolean true, wenn Sobel-Filter durchgefuehrt werden soll

### createTranslation

    public GrayImage createTranslation(GrayImage img,
                                       int posx,
                                       int posy,
                                       int shiftx,
                                       int shifty)

  Deprecated. Wird nur noch fuer Testzwecke gebraucht

  Erzeugt aus einem Eingabebild ein verschobenes Bild. Die Verschiebung wird mit uebergeben. Wurde nur fuer Testzwecke gebraucht.

  Parameters:
    `posx` - x-Position innerhalb des Bildes
    `posy` - y-Position innerhalb des Bildes
    `shiftx` - zu erzeugende x-Verschiebung
    `shifty` - zu erzeugende y-Verschiebung
  Returns:
    GrayImage Das Ergebnisbild.

### findLocalMax

    public GrayImage findLocalMax(ComplexImage imgcc)

  Sucht dein lokales Maximum im Suchbereich der Kepstralebene. Wird zur Berechnung des Kepstrums benoetigt.

  Parameters:
    `imgcc` - komplexwertiges Eingabebild (die Kepstral-Ebene)
  Returns:
    GrayImage Den bearbeitenen Suchbereich als Grauwertbild. Nur fuer Testzwecke.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD